Package com.studica.frc.jni

## Class TitanQuadJNI

- java.lang.Object
- - com.studica.frc.jni.TitanJNIWrapper
  - - com.studica.frc.jni.TitanQuadJNI

    public class TitanQuadJNI
    extends TitanJNIWrapper

### Constructor Summary

Constructors
`TitanQuadJNI()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `c_TitanQuad_configureMotor​(long handle, int frequency, int motor)`
`static long` `c_TitanQuad_create​(int deviceID, int frequency, boolean stop, int motor)`
`static void` `c_TitanQuad_destroy​(long handle)`
`static void` `c_TitanQuad_disableMotor​(long handle, int motor)`
`static double` `c_TitanQuad_getControllerTemp​(long handle)`
`static java.lang.String` `c_TitanQuad_getFirmwareVersion​(long handle)`
`static int` `c_TitanQuad_getFrequency​(long handle)`
`static java.lang.String` `c_TitanQuad_getHardwareVersion​(long handle)`
`static int` `c_TitanQuad_getID​(long handle)`
`static double` `c_TitanQuad_getLimitSwitch​(long handle, int motor, boolean direction)`
`static short` `c_TitanQuad_getRPM​(long handle, int motor)`
`static java.lang.String` `c_TitanQuad_getSerialNumber​(long handle)`
`static void` `c_TitanQuad_setMotorSpeed​(long handle, int motor, double speed)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TitanQuadJNI

    public TitanQuadJNI()

### Method Detail

#### c_TitanQuad_create

    public static long c_TitanQuad_create​(int deviceID,
                                          int frequency,
                                          boolean stop,
                                          int motor)

#### c_TitanQuad_destroy

    public static void c_TitanQuad_destroy​(long handle)

#### c_TitanQuad_getID

    public static int c_TitanQuad_getID​(long handle)

#### c_TitanQuad_getFrequency

    public static int c_TitanQuad_getFrequency​(long handle)

#### c_TitanQuad_getFirmwareVersion

    public static java.lang.String c_TitanQuad_getFirmwareVersion​(long handle)

#### c_TitanQuad_getHardwareVersion

    public static java.lang.String c_TitanQuad_getHardwareVersion​(long handle)

#### c_TitanQuad_configureMotor

    public static void c_TitanQuad_configureMotor​(long handle,
                                                  int frequency,
                                                  int motor)

#### c_TitanQuad_disableMotor

    public static void c_TitanQuad_disableMotor​(long handle,
                                                int motor)

#### c_TitanQuad_getControllerTemp

    public static double c_TitanQuad_getControllerTemp​(long handle)

#### c_TitanQuad_setMotorSpeed

    public static void c_TitanQuad_setMotorSpeed​(long handle,
                                                 int motor,
                                                 double speed)

#### c_TitanQuad_getLimitSwitch

    public static double c_TitanQuad_getLimitSwitch​(long handle,
                                                    int motor,
                                                    boolean direction)

#### c_TitanQuad_getRPM

    public static short c_TitanQuad_getRPM​(long handle,
                                           int motor)

#### c_TitanQuad_getSerialNumber

    public static java.lang.String c_TitanQuad_getSerialNumber​(long handle)